libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa_control_value_entry Struct Reference

Description of a serialized ControlValue entry. More...

## Public Attributes
uint8_t | type
uint8_t | is_array
uint16_t | count
uint32_t | offset
uint32_t | reserved [2]

## Detailed Description

Description of a serialized ControlValue entry.

## Member Data Documentation

## ◆ count

uint16_t libcamera::ipa_control_value_entry::count

The number of control array entries for array controls (1 otherwise)

## ◆ is_array

uint8_t libcamera::ipa_control_value_entry::is_array

True if the control value stores an array, false otherwise

## ◆ offset

uint32_t libcamera::ipa_control_value_entry::offset

The offset in bytes from the beginning of the data section to the control value data (shall be a multiple of 8 bytes).

## ◆ reserved

uint32_t libcamera::ipa_control_value_entry::reserved[2]

Reserved for future extensions

## ◆ type

uint8_t libcamera::ipa_control_value_entry::type

The type of the control (defined by enum ControlType)

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_controls.h
- src/libcamera/ipa_controls.cpp